Bug 83777 - [regression] ilo fails to build
Summary: [regression] ilo fails to build
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: All Linux (All)
: high critical
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-11 17:53 UTC by Fabio Pedretti
Modified: 2014-09-12 06:13 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabio Pedretti 2014-09-11 17:53:53 UTC
After latest changes ilo fails to build. Full log, including configure options, is  here:
https://launchpadlibrarian.net/184568683/buildlog_ubuntu-trusty-amd64.mesa_10.4~git1409111930.a46d75~gd~t_FAILEDTOBUILD.txt.gz

Error:
libtool: compile:  gcc -DPACKAGE_NAME=\"Mesa\" -DPACKAGE_TARNAME=\"mesa\" -DPACKAGE_VERSION=\"10.4.0-devel\" "-DPACKAGE_STRING=\"Mesa 10.4.0-devel\"" "-DPACKAGE_BUGREPORT=\"https://bugs.freedesktop.org/enter_bug.cgi?product=Mesa\"" -DPACKAGE_URL=\"\" -DPACKAGE=\"mesa\" -DVERSION=\"10.4.0-devel\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DYYTEXT_POINTER=1 -DHAVE___BUILTIN_BSWAP32=1 -DHAVE___BUILTIN_BSWAP64=1 -DHAVE_DLADDR=1 -DHAVE_CLOCK_GETTIME=1 -DHAVE_PTHREAD=1 -I. -I../../../../../../src/gallium/drivers/ilo -I../../../../../../src/gallium/drivers/ilo/include -I../../../../../../src -I../../../../../../include -I../../../../../../src/gallium/include -I../../../../../../src/gallium/auxiliary -I../../../../../../src/gallium/drivers -I../../../../../../src/gallium/winsys -DUSE_EXTERNAL_DXTN_LIB=1 -D_GNU_SOURCE -DHAVE_PTHREAD -DUSE_SSE41 -DTEXTURE_FLOAT_ENABLED -DUSE_X86_64_ASM -DHAVE_DLOPEN -DHAVE_POSIX_MEMALIGN -DHAVE_LIBDRM -DGLX_USE_DRM -DHAVE_LIBUDEV -DGLX_INDIRECT_RENDERING -DGLX_DIRECT_RENDERING -DGLX_USE_TLS -DHAVE_PTHREAD -DHAVE_ALIAS -DHAVE_DRI3 -DHAVE_MINCORE -DHAVE_LLVM=0x0305 -DLLVM_VERSION_PATCH=0 -fvisibility=hidden -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall -std=c99 -Werror=implicit-function-declaration -Werror=missing-prototypes -fno-strict-aliasing -fno-builtin-memcmp -MT shader/toy_compiler_disasm.lo -MD -MP -MF shader/.deps/toy_compiler_disasm.Tpo -c ../../../../../../src/gallium/drivers/ilo/shader/toy_compiler_disasm.c  -fPIC -DPIC -o shader/.libs/toy_compiler_disasm.o
../../../../../../src/gallium/drivers/ilo/shader/toy_compiler_disasm.c: In function 'disasm_printer_add_operand':
../../../../../../src/gallium/drivers/ilo/shader/toy_compiler_disasm.c:1020:7: error: format not a string literal and no format arguments [-Werror=format-security]
       disasm_printer_add(printer, name);
       ^
cc1: some warnings being treated as errors
make[4]: *** [shader/toy_compiler_disasm.lo] Error 1
Comment 1 Nick Sarnie 2014-09-11 23:03:24 UTC
Exact same issue here.
Comment 2 Chia-I Wu 2014-09-12 01:48:22 UTC
This should have been fixed by commit 1187dbdd10.  Thanks.


bug/show.html.tmpl processed on Mar 25, 2017 at 07:46:03.
(provided by the Example extension).